/*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
*/

Page({

    /**
     * 页面的初始数据
     */
    data: {
        checked     : false, // 勾选协议
        phone	    : "", // 手机号
        password	: "", // 密码
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad() {},

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {},

     /**
     * 勾选协议
     */
     radioChange() {
        this.setData({
            checked: !this.data.checked
        })
    },

    /**
     * 立即登录
     */
    registerForm(e) {
        if(this.data.checked) {
            let value  = e.detail.value
            let data = {
                username  : value.username,
                password  : value.password,
            }
            wx.$api.auth.Login(data).then(res => {
                // 存储登录信息
                wx.setStorage({
                    key   : 'token',
                    data  : res.data.token_type + ' ' + res.data.access_token,
                    success: () =>{
                        // 回到上一页
                        wx.navigateBack()
                    }
                })
            }).catch(() =>{
                this.setData({
                    disabled: false
                })
            })
            return
        }
        wx.showToast({
            title: '请勾选隐私协议和服务协议',
            icon: "none"
        })
    }
})